Name:           Zim
Version:        0.23
Release:        1%{?dist}
Summary:        Desktop wiki & notekeeper

Group:          Applications/Editors
License:        GPL+ or Artistic
URL:            http://www.pardus.nl/projects/zim/ 
Source0: http://pardus-larus.student.utwente.nl/~pardus/downloads/Zim/Zim-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires:  sed, desktop-file-utils

# core
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
# cpan
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(File::BaseDir)
BuildRequires:  perl(File::DesktopEntry)
BuildRequires:  perl(File::MimeInfo) >= 0.12
BuildRequires:  perl(Gtk2) >= 1.040
BuildRequires:  perl(Gtk2::TrayIcon)
BuildRequires:  perl(Gtk2::Spell)
# test
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# not picked up automatically
Requires:       perl(Gtk2::TrayIcon)

# non-perl requires -- for the InsertScreenshot plugin 
Requires:       scrot

%description
Zim is a WYSIWYG text editor written in Gtk2-Perl which aims to bring the
concept of a wiki to your desktop. Every page is saved as a text file with
wiki markup. Pages can contain links to other pages, and are saved
automatically. Creating a new page is as easy as linking to a non-existing
page. Pages are ordered in a hierarchical structure that gives it the look
and feel of an outliner. This tool is intended to keep track of TODO lists
or to serve as a personal scratch book. 


%prep
%setup -q

find . -type f -exec chmod -c -x {} +
sed -i 's/\r//' share/zim/plugins/Subversion.pl

# We're not running on Win32.  Really :)
rm -f ./lib/Zim/OS/Win32.pm
rmdir ./lib/Zim/OS


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

desktop-file-install --vendor="fedora" --delete-original    \
    --dir=%{buildroot}%{_datadir}/applications              \
     %{buildroot}%{_datadir}/applications/zim.desktop


%check
./Build test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes ExamplePlugin.pl contrib/ TestData.PL
%{perl_vendorlib}/*
%{_mandir}/man[13]/*.[13]*
%{_bindir}/*
%{_datadir}/zim
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Thu Nov 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.23-1
- update to 0.23

* Wed Oct 03 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21
- add contrib/, TRepository.PL to doc
- update license tag: GPL -> GPL+
- add a requires on scrot, for the InsertScreenshot plugin

* Wed May 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- add a require on Gtk2::TrayIcon; not picked up automatically
- some BR refactoring given perl splittage

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- and hot on the heels of 0.18 is 0.19! :)

* Sat Mar 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- update to 0.18
- fix homepage/download links
- drop dep on shared-mime-info as bz#215972 has been resolved

* Tue Nov 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-3
- bump

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-2
- add requires on shared-mime-info

* Wed Nov 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- initial packaging.
